<?php

  ###################################################
  #  MWC - My Wap Catalog							      #
  #  Версия системы: 1.0							      #
  #  Автор: RonsoN								      #
  #  ICQ: 7-191-321									      #
  # Email: ronson.kharkov@gmail.com					      #
  ###################################################

ob_start();

session_start();

# Серверный путь к сайту
define('HOME', $_SERVER['DOCUMENT_ROOT']);

# Полный HTTP путь к сайту
define('URL', 'http://'. $_SERVER['HTTP_HOST']);

# Получение настроек сервера
require_once(HOME .'/system/ini_set.php');

# Получения настроек MySQL
require_once(HOME .'/system/db_ini.php');

# Подключение к MySQL серверу
try {
$db = new PDO('mysql:dbname='.$mysql['base'].';host='.$mysql['host'], $mysql['user'], $mysql['pass']);
} catch (PDOException $e) {
echo 'Connection failed: ' . $e->getMessage();
}
$db->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
$db->query("SET NAMES utf8");

# Старт сессий
session_name('sid');
session_start();

# Настройки сайта
$system = $db->query("SELECT * FROM `system`")->fetch();

# Подключаем папку с функциями
$dir = opendir(HOME .'/system/functions/');
while ($file = readdir($dir)) {
if (preg_match('/\.func.php$/i', $file)) require_once(HOME .'/system/functions/'. $file); 
}

# Подключаем папку с классами
$p = opendir(HOME .'/system/classes/');
while ($f = readdir($p)) {
if (preg_match('/\.class.php$/i', $f)) require_once(HOME .'/system/classes/'. $f); 
}

# Гости онлайн
$ip = $_SERVER['REMOTE_ADDR'];
$browser = browser($_SERVER['HTTP_USER_AGENT']);

$db->query("DELETE FROM `online` WHERE `ip` = '". $ip."'");

$online = $db->query("SELECT * FROM `online` WHERE `ip` = '".$ip."'")->rowCount();

if($online == 0) {

	$db->query("INSERT INTO `online`(`ip`, `browser`, `date`) VALUES('".$ip."', '".$browser."', '". time() ."')");

	}

# Очистка запроса модуля
$module = txt($_GET['url']);

// Проверка наличия файла в запросе
if (preg_match('/\.php$/i', $module)) $module_file = true;
else $module_file = false;

// Если запрашивается какой-либо модуль
if (!empty($module))
{
    // Проверяем существование
    if (file_exists(HOME .'/modules/'. $module) && $module_file == true)
    {
        # Подключаем модуль
        require_once(HOME .'/modules/'. $module);
    }
    else if (file_exists(HOME .'/modules/'. $module) && $module_file == false)
    {
        // Проверяем наличие главной страницы модуля
        if (file_exists(HOME .'/modules/'. $module .'/index.php'))
        {
            # Подключаем главную страницу модуля
            require_once(HOME .'/modules/'. $module .'/index.php');
        }
        else
        {
            # Подключаем главную страницу сайта
            require_once(HOME .'/modules/index.php');
        }
    }
    else
    {
        # Подключаем главную страницу сайта
        require_once(HOME .'/modules/index.php');
    }
}
else
{
    # Подключаем главную страницу сайта
    require_once(HOME .'/modules/index.php');
}

?>