CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(32) NOT NULL,
  `password` varchar(64) NOT NULL,
  `date_reg` int(11) NOT NULL,
  `date_last_entry` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
CREATE TABLE  `news` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(32) NOT NULL,
  `text` text NOT NULL,
  `date` int(32) NOT NULL,
  `look` int(100) unsigned default '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS `sites` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `id_category` int(30) NOT NULL,
  `title` varchar(32) NOT NULL,
  `text` text NOT NULL,
  `url` text NOT NULL,
  `look` int(100) unsigned default '0',
  `status` varchar(1) NOT NULL,
  `date` int(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
CREATE TABLE  `category` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(32) NOT NULL,
  `text` varchar(300) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS `online` (
`ip` varchar(32) NOT NULL,
`browser`varchar(32) NOT NULL,
`date` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
CREATE TABLE  `system` (
  `keywords` text NOT NULL,
  `description` text NOT NULL,
  `title` text NOT NULL,
  `reg_status`varchar(3) NOT NULL,
  `theme` text NOT NULL,
  `objects` varchar(2) NOT NULL,
  `contacts` varchar(500) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- --------------------------------------------------------
INSERT INTO `system` (`objects`, `theme`, `reg_status`) VALUES('2', 'default', 'yes');